Release to production: detect preferred language and re-sort primary links around the globe
Closed, ResolvedPublic

Description

Based on the successful A/B test, we'd like to push this update into production on the Wikipedia.org portal.

This is a feature which detects the user's language and re-sorts the links around the globe on the Wikipedia portal in line with their preferred language settings. The user's preferred language will be displayed in the top left link.

If the user doed not have as many language preferences as there are available links to display, fill the remainder links around the globe with the "top" links that are not in their language preferences.

If they do not have a header (lang pref file) or we cannot retrieve it, display the default experience.

If the user has a language preference that is not in English, we will take that primary preferred language and display the "The Free Encyclopedia" phrase below the Wikipedia wordmark in that preferred language.

Related Objects

debt created this task.Apr 22 2016, 10:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 22 2016, 10:58 PM

Change 292358 had a related patch set uploaded (by Jdrewniak):
T133432 deploying new localized top-links on wikipedia.org

https://gerrit.wikimedia.org/r/292358

Change 292358 merged by jenkins-bot:
T133432 deploying new localized top-links on wikipedia.org

https://gerrit.wikimedia.org/r/292358

debt moved this task from In Progress to Done on the Discovery-Portal-Sprint board.Jun 2 2016, 3:33 PM
debt closed this task as Resolved.
debt claimed this task.

This went into production on June 2, 2016

debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.Aug 12 2016, 8:02 PM